Subject: bug#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace))

From: Stefan Monnier <[email-masked]>
Date: Thu, 01 Dec 2011 14:25:52 -0500

> So anyone can reproduce it by running this and then hitting ^C:

>   $ touch /tmp/k; emacs -q --eval "(require 'saveplace)" /tmp/k
>   ^CFatal error (6)zsh: abort (core dumped)  emacs -q --eval "(require\
>     'saveplace)" /tmp/k
>   [Exit 134 (ABRT)]

I can reproduce it indeed with Debian testing's emacs23 as well as with
the current trunk.

I have to be careful to hit C-c before Emacs actually opens the frame
(i.e. interrupt it during startup), otherwise it exits cleanly.

Can't investigate further right now, so if anyone wants to pick up from
here, he's welcome.

        Stefan